-- put DRY ass code here (that's "don't repeat yourself")
local onCommand = cmd(decelerate,3.25;diffusealpha,1;y,SCREEN_CENTER_Y;playcommand,"Glow");
local glowCommand = cmd(linear,0.25;glow,1,1,1,1;decelerate,0.75;glow,1,1,1,0;sleep,0.25;playcommand,"FlyAway");

local t = Def.ActorFrame{

	-- final step
	LoadActor("NAKET") ..{
		InitCommand=cmd(diffusealpha,0;x,SCREEN_CENTER_X;y,SCREEN_TOP-64);
		OnCommand=onCommand;
		GlowCommand=glowCommand;
		FlyAwayCommand=cmd(accelerate,0.5;x,SCREEN_LEFT-200);
	};
	
	LoadActor("TEAM") ..{
		InitCommand=cmd(diffusealpha,0;x,SCREEN_CENTER_X;y,SCREEN_BOTTOM+64);
		OnCommand=onCommand;
		GlowCommand=glowCommand;
		FlyAwayCommand=cmd(accelerate,0.5;x,SCREEN_RIGHT+200);
	};
	
	-- smug logo
	LoadActor("smulogo.png") .. {
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;diffusealpha,0);
		OnCommand=cmd(sleep,5;linear,1;diffusealpha,1;sleep,2);
		OffCommand=cmd(linear,1;diffusealpha,0);
	};
	LoadFont("Common", "normal") ..{
		Text="http://smug.boxorroxors.net/";
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y+135;shadowlength,0;diffusealpha,0;zoom,0.85);
		OnCommand=cmd(sleep,5;linear,1;diffusealpha,1;diffusebottomedge,1,0.796,0.398,1;sleep,2);
		OffCommand=cmd(linear,1;diffusealpha,0);
	};
};

return t;